Page MenuHomePhabricator

Linker::formatComment() should be changed to support lists
Closed, DeclinedPublicFeature

Description

Author: avarab

Description:
Linker::formatComment() should be changed to support lists, this would allow
putting things like:

  • Changed paragraph 1 to ...
  • Fixed spelling errors in section...

And have them show up as lists in history/diff views.


Version: unspecified
Severity: enhancement

Details

Reference
bz4718

Related Objects

StatusSubtypeAssignedTask
DeclinedFeatureNone
ResolvedTheDJ
ResolvedNone
ResolvedTheDJ
ResolvedAnomie
Resolvedkaldari
Resolved jcrespo
ResolvedAnomie
ResolvedAnomie
ResolvedNone
DuplicateNone
ResolvedMarostegui
Resolved Bstorm
ResolvedMarostegui
DeclinedNone
ResolvedAnomie
ResolvedAnomie
ResolvedAnomie
Resolvedmatmarex
DeclinedNone
ResolvedNone
ResolvedAddshore
ResolvedNiharika

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 9:03 PM
bzimport set Reference to bz4718.
bzimport added a subscriber: Unknown Object (MLST).

karun.84 wrote:

What syntax do you propose for putting lists in the comment? Should the lists in comments be done using the standard wiki markup?

ayg wrote:

Um, isn't the input to formatComment() a single line? How could you even input wikilists? Wouldn't this also greatly increase vertical spacing use on history views?

karun.84 wrote:

(In reply to comment #2)

Um, isn't the input to formatComment() a single line? How could you even input
wikilists? Wouldn't this also greatly increase vertical spacing use on history
views?

It will increase vertical spacing use on history views. Adding lists would not be appropriate with the current design.
This bug needs further discussion about the proposed feature, and if a solution is to be implemented.

karun.84 wrote:

fixed blocking and depends on bug numbers.
bug 4714 blocks this bug and is not dependent on it.

Jdforrester-WMF lowered the priority of this task from Low to Lowest.Feb 13 2017, 10:00 PM
Jdforrester-WMF subscribed.

We are exceptionally unlikely to do this, but for now I'll just regrade this.

Aklapper changed the subtype of this task from "Task" to "Feature Request".Feb 4 2022, 11:02 AM
Aklapper removed a subscriber: wikibugs-l-list.
TheDJ subscribed.

Lets call it like it is. This will not be done. Few have asked for it, and it doesn't really seem needed to achieve the goals of the edit summary, yet would be a huge undertaking to implement.
And you can always use commas for a list.